STITCHMESH(1)

NAME
stitchMesh - part of OpenFOAM (The Open Source CFD Toolbox).

SYNOPSIS
stitchMesh [OPTIONS] [master slave]

DESCRIPTION
Merge the faces on specified patches (if geometrically possible) so that the
faces become internal.
This utility can be called without arguments (uses stitchMeshDict) or with
two arguments (master/slave patch names).

ARGUMENTS

master
    The master patch name (non-dictionary mode)

slave
    The slave patch name (non-dictionary mode)

OPTIONS

-case dir
    Specify case directory to use (instead of the cwd)

-dict file
    Use alternative stitchMeshDict

-integral
    Couple integral master/slave patches (2 argument mode: default)

-intermediate
    Write intermediate stages, not just the final result

-overwrite
    Overwrite existing mesh/results files

-partial
    Couple partially overlapping master/slave patches (2 argument mode)

-perfect
    Couple perfectly aligned master/slave patches (2 argument mode)

-region name
    Specify alternative mesh region

-toleranceDict file
    Dictionary file with tolerances

-doc
    Display documentation in browser

-help
    Display short help and exit

-help-full
    Display full help and exit

  ADVANCED OPTIONS

-debug-switch name=val
    Specify the value of a registered debug switch. Default is 1 if the value is omitted. (Can be used multiple times)

-fileHandler handler
    Override the file handler type

-info-switch name=val
    Specify the value of a registered info switch. Default is 1 if the value is omitted. (Can be used multiple times)

-lib name
    Additional library or library list to load (can be used multiple times)

-opt-switch name=val
    Specify the value of a registered optimisation switch (int/bool). Default is 1 if the value is omitted. (Can be used multiple times)

-doc-source
    Display source code in browser

-help-compat
    Display compatibility options and exit

-help-man
    Display full help (manpage format) and exit

-help-notes
    Display help notes (description) and exit

  COMPATIBILITY OPTIONS

-noFunctionObjects
    This option is ignored

SEE ALSO
Online documentation https://www.openfoam.com/documentation/

COPYRIGHT
Copyright © 2018-2019 OpenCFD Ltd.